import 'dart:io';

import 'package:flutter/material.dart';
import 'package:xinlake_responsive/container/split_two.dart';

class SplitTwoDemo extends StatefulWidget {
  const SplitTwoDemo({Key? key}) : super(key: key);

  @override
  State<SplitTwoDemo> createState() => _SplitTwoState();
}

class _SplitTwoState extends State<SplitTwoDemo> {
  @override
  Widget build(BuildContext context) {
    var mobile = Platform.isAndroid || Platform.isIOS;

    return DefaultTextStyle(
      style: const TextStyle(fontSize: 100),
      child: SplitTwo(
        childA: const Center(child: Text("A")),
        childB: const Center(child: Text("B")),
        isVertical: mobile,
        dividerSize: mobile ? 10 : 5,
      ),
    );
  }
}
